#!/bin/bash

set -e

export GTK_MODULES='gail:atk-bridge'
SOURCE_PACKAGE_FOLDER=$(pwd)

# gtg needs a valid home folder to try to retrieve the config file.
export HOME=$AUTOPKGTEST_TMP
cd $HOME

# gtg connects to System DBus, which is not available with autopkgtest.
dbus-daemon --fork --session --print-address=3 --print-pid=4 3> "$AUTOPKGTEST_TMP/dbus-address" 4> "$AUTOPKGTEST_TMP/dbus-pid"
export DBUS_SYSTEM_BUS_ADDRESS="`cat "$AUTOPKGTEST_TMP/dbus-address"`"
DBUS_SYSTEM_BUS_PID="`cat "$AUTOPKGTEST_TMP/dbus-pid"`"

# Required by dogtail for gtk object instrospection.
gsettings set org.gnome.desktop.interface toolkit-accessibility true

# The actual test script.
python3 $SOURCE_PACKAGE_FOLDER/debian/tests/check-graphical-app.py
